#
# Conditional build:
%bcond_without	static_libs	# don't build static library

%define		xfce_version	4.10.0
Summary:	Xfce file manager
Summary(pl.UTF-8):	Zarządca plików Xfce
Name:		Thunar
Version:	1.6.3
Release:	1
License:	GPL v2 / LGPL v2
Group:		X11/Applications
Source0:	http://archive.xfce.org/src/xfce/thunar/1.6/%{name}-%{version}.tar.bz2
# Source0-md5:	4f10d5d5576ce5127308d6badbac3afa
Patch0:		%{name}-desktop.patch
URL:		http://thunar.xfce.org/
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake >= 1:1.8
BuildRequires:	dbus-glib-devel >= 0.62
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exo-devel >= 0.10.0
BuildRequires:	gettext-devel
BuildRequires:	glib2-devel >= 1:2.18.0
BuildRequires:	gtk+2-devel >= 2:2.14.0
BuildRequires:	gtk-doc >= 1.7
BuildRequires:	intltool
BuildRequires:	libexif-devel >= 0.6.0
BuildRequires:	libnotify-devel >= 0.4.0
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= %{xfce_version}
BuildRequires:	libxfce4util-devel >= %{xfce_version}
BuildRequires:	pcre-devel >= 6.0
BuildRequires:	perl-base
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.601
BuildRequires:	startup-notification-devel >= 0.8
BuildRequires:	udev-glib-devel >= 145
BuildRequires:	xfce4-dev-tools >= %{xfce_version}
BuildRequires:	xfce4-panel-devel >= %{xfce_version}
Requires(post,postun):	desktop-file-utils
Requires:	%{name}-libs = %{version}-%{release}
Requires:	exo >= 0.8.0
Requires:	gtk-update-icon-cache
Requires:	hicolor-icon-theme
Requires:	shared-mime-info >= 0.15
Requires:	xfconf >= %{xfce_version}
Suggests:	tumbler
Obsoletes:	Thunar-thumbnailers
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Thunar is a modern file manager, aiming to be easy-to-use and fast.

%description -l pl.UTF-8
Thunar jest nowoczesnym zarządcą plików, nakierowanym na łatwość i
szybkość użycia.

%package apidocs
Summary:	Thunar API documentation
Summary(pl.UTF-8):	Dokumentacja API Thunar
Group:		Documentation
Requires:	gtk-doc-common
Obsoletes:	thunar-vfs-apidocs
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description apidocs
Thunar API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API Thunar.

%package libs
Summary:	Thunar libraries
Summary(pl.UTF-8):	Biblioteki Thunar
Group:		X11/Libraries
Obsoletes:	thunar-vfs

%description libs
Thunar libraries.

%description libs -l pl.UTF-8
Biblioteki Thunar.

%package devel
Summary:	Header files for Thunar libraries
Summary(pl.UTF-8):	Pliki nagłówkowe bibliotek Thunar
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	exo-devel >= 0.6.0
Requires:	gtk+2-devel >= 2:2.14.0
Obsoletes:	thunar-vfs-devel

%description devel
This is the package containing the header files for Thunar libraries.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe biblioteki Thunar.

%package static
Summary:	Static Thunar libraries
Summary(pl.UTF-8):	Statyczne biblioteki Thunar
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	thunar-vfs-static

%description static
Static Thunar libraries.

%description static -l pl.UTF-8
Statyczne biblioteki Thunar.

%prep
%setup -q
%patch0 -p1

%{__sed} -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/' configure.ac

%build
%{__gtkdocize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__automake}
%{__autoheader}
%{__autoconf}
%configure \
	--enable-dbus \
	--enable-exif \
	--enable-gtk-doc \
	--enable-pcre \
	--enable-startup-notification \
	--with-html-dir=%{_gtkdocdir} \
	%{?with_static_libs:--enable-static} \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/thunarx-2/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.{a,la}
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

# duplicate of ur
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/ur_PK

%find_lang %{name} --all-name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/*
%dir %{_sysconfdir}/xdg/Thunar
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/Thunar/*.xml
%dir %{_libdir}/Thunar
%attr(755,root,root) %{_libdir}/Thunar/ThunarBulkRename
%attr(755,root,root) %{_libdir}/Thunar/thunar-sendto-email
%dir %{_libdir}/thunarx-2
%attr(755,root,root) %{_libdir}/thunarx-2/*.so
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libthunar-tpa.so

%{_datadir}/Thunar/sendto/*.desktop
%{_datadir}/xfce4/panel-plugins/*.desktop
%{_datadir}/dbus-1/services/*.service
%{_desktopdir}/*.desktop
%{_iconsdir}/hicolor/*/*/*
%{_pixmapsdir}/Thunar
%{_mandir}/man1/Thunar*

%dir %{_docdir}/Thunar
# move it to proper place
%{_docdir}/Thunar/README*

%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/thunarx

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libthunarx-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libthunarx-2.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libthunarx-2.so
%{_includedir}/thunarx-2
%{_pkgconfigdir}/thunarx-2.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libthunarx-2.a
%endif
%changelog
* Fri Aug 15 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Thunar.git;a=log;h=master

* Fri Aug 15 2014 Jan Rękorajski <baggins@pld-linux.org> c713c99
- up to 1.6.3

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> af9e7c4
- noarch apidocs

* Wed Oct 16 2013 Kacper Kornet <draenog@pld-linux.org> 3bb1570
- /usr/share/Thunar has been moved to xfce-dirs

* Sat Apr 06 2013 Elan Ruusamäe <glen@delfi.ee> 8b3d7f1
- up to 1.6.2

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> e8a29be
- cleanup

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 1c6d6b7
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 416d309
- updated to 4.10

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> a282895
- 1.4.0 for xfce 4.10

* Thu Mar 29 2012 Artur Frysiak <artur@frysiak.net> 6606a78
- rel. 2

* Wed Sep 28 2011 Jan Rękorajski <baggins@pld-linux.org> 943ace6
- 1.2.3

* Fri Aug 19 2011 ankry <ankry@pld-linux.org> 539006b
- comment

* Mon Jun 06 2011 marti <marti@pld-linux.org> 47ee203
- up to 1.2.2

* Wed Apr 06 2011 lisu <lisu@pld-linux.org> 0501242
- rel 4

* Tue Mar 08 2011 Jan Rękorajski <baggins@pld-linux.org> 8ad9d0a
- S: tumbler

* Tue Mar 08 2011 Jan Rękorajski <baggins@pld-linux.org> f8635ac
- rel 3
- Thunar-thumbnailers are not used anymore (obsoleted along with thunar-vfs)

* Mon Feb 28 2011 Jan Rękorajski <baggins@pld-linux.org> 9fb03e6
- rel 2
- obsolete thunar-vfs, all apps have been ported from it

* Wed Feb 16 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 5f4c896
- merged from DEVEL

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> 5b151c2
- Requires(post,postun): gtk-update-icon-cache

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> de0fd64
- no ur_PK locale

* Sun Nov 14 2010 Jan Rękorajski <baggins@pld-linux.org> 6d8ccde
- 1.0.2, XFCE 4.6.2

